#
# spec file for package gnome-nettool
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-nettool
Version:        2.32.0
Release:        9.3.1
License:        GPLv2+
Summary:        GNOME Interface for Various Networking Tools
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.16/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE 0001-ping-Handle-output-with-icmp_req.patch bnc#679874 and bg0#634749 malcolmlewis@opensuse.org -- Handle output with icmp_req
Patch0:         0001-ping-Handle-output-with-icmp_req.patch
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Nettool is a set of front-ends to various networking command line
tools, like ping, netstat, ifconfig, whois, traceroute, and finger.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1

%build
%configure\
	--libexecdir=%{_prefix}/lib/%{name}\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
# Utility is okay upstream, but it makes our build really unhappy and is actually not needed at all. So we remove it and just keep System.
grep -q 'System;Utility' %{buildroot}%{_datadir}/applications/gnome-nettool.desktop
# Note: I guess X-SuSE-Core-System is not the best thing for the non-GNOME menu, but we need something for the build to work. Oh well...
%suse_update_desktop_file -r -G "Network Information" gnome-nettool GNOME GTK System X-SuSE-Core-System
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/gnome-nettool
%{_datadir}/applications/gnome-nettool.desktop
%{_datadir}/gnome-nettool/
%{_datadir}/icons/hicolor/*/apps/gnome-nettool.png
%{_datadir}/icons/hicolor/scalable/apps/gnome-nettool.svg

%files lang -f %{name}.lang

%changelog
* Tue Mar 15 2011 malcolmlewis@opensuse.org
- Fix bug bnc#679874 malcolmlewis@opensuse.org -- Handle output
  with icmp_req
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Mon Sep  6 2010 vuntz@opensuse.org
- Make gnome-nettool.desktop appear where it should in the menu, by
  removing the Utility category. Also add X-SuSE-Core-System
  category to make the build happy.
* Thu Aug  5 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Update after GtkNotebookPage removal from GTK+
  + New --with-gtk=2.0|3.0 configure flag
  + Updated translations.
- Build against GTK+ 2 again: change pkgconfig(gtk+-3.0)
  BuildRequires to pkgconfig(gtk+-2.0).
- Change gconf2-devel and libgtop-devel BuildRequires to
  pkgconfig() ones for gconf-2.0 and libgtop-2.0.
* Fri Jul 30 2010 dimstar@opensuse.org
- Update to version 2.31.5:
  + bgo#592686: Remove deprecated Encoding key from desktop file
  + bgo#612477: Does not compile with -DGSEAL_ENABLED
  + bgo#615130: Modernize autotools configuration
  + bgo#615133: Move GtkBuilder and .desktop files to data
    directory.
  + Updated translations.
- Replace gtk2-devel BuildRequires with pkgconfig(gtk+-3.0)
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + bgo#602490: Fix build on GNU/kFreeBSD
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#576221 - Fix glibtop initialization order in order to make
    it work on BS
  + bgo#583286 - Compilation fixes for DragonFly BSD
  + bgo#577788 - Made some tooltips translatable
  + bgo#503587 - Avoid freeze in whois tab when encoding isn't the
    expected one
  + bgo#580149 - Use GtkBuilder instead of libglade.
  + Updated translations.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + bgo#576221: Fix glibtop initialization order in order to make
    it work on BSD
  + bgo#583286: Compilation fixes for DragonFly BSD
  + bgo#577788: Made some tooltips translatable
  + bgo#503587: Avoid freeze in whois tab when encoding isn't the
    expected one
  + bgo#580149: Use GtkBuilder instead of libglade
  + Updated translations.
- Remove gnutls-devel, libglade2-devel BuildRequires.
- Add gtk2-devel BuildRequires.
* Wed May 20 2009 vuntz@novell.com
- Update to version 2.26.2:
  + bgo#583286: Compilation fixes for DragonFly BSD
  + Updated translations.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bgo#576221: Fix glibtop initialization order in order to make
    it work on BSD.
  + Updated translations.
* Tue Mar 17 2009 mboman@suse.de
- Update to version 2.26.0:
  + bgo#573147: Remove deprecated gtk/gdk functions
  + Translation updates
- Remove docbook_4, gnome-common, gnome-doc-utils,
  libgnomeprintui-devel, libgnomeui-devel, libwnck-devel,
  libxslt-devel, perl-XML-Parser and scrollkeeper from
  BuildRequires
- Remove AutoReqProv, it's default
- Don't run autoreconf
- Remove custom CFLAGS
- Use %%makeinstall instead of make install DESTDIR=$RPM_BUILD_ROOT
- Don't package %%{_datadir}/omf/gnome-nettool in main package
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + Removed warnings from the Glade UI
  + bgo#557055: Improved accesability
  + bgo#522934: Fixed support for unlimited pings
  + bgo#554733: Gnome Nettool now is 1024x600 friendly
  + bgo#563044: Added basic NetBSD support
  + bgo#394648: Added menu for the documentation
  + bgo#487308: Restored the behaviour of 'Edit/Copy' as default in
    Gnome. Added 'Copy as text report' to copy all the values
    in a tab window
  + bgo#156176: Removed Linux-dependency on NIC Information through the
    use of ligbtop instead of ioctl calls and reading from
    /proc/net
  + bgo#341070: Updated About dialog
  + bgo#549588: Use pinky instead of finger to reduce one dependency in
    Linux systems
  + bgo#560435: Removed deprecated symbols from glib
  + bgo#559852: Fixed unlocalized string in copyright
  + bgo#551754: Fixed unlocalized string in port scan
  + bgo#500773: Improved documentation metadata for library.gnome.org
  + bgo#561229: Clean up Gtk+ includes
  + Translation updates
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.22.1:
  + Fixed bgo#524078: Replaced icon with wrong size
  + Translation updates
* Tue Apr  1 2008 vuntz@suse.de
- Remove uz@cyrillic workaround (see bnc#372941)
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Bugs fixed bgo#470264, bgo#451925, bgo#508610
  + Updated translations.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Bug (bugzilla.gnome.org) fixed: #467467
  + Updated translations.
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.19.90:
  + #408452: Fixed the output for traceroute/ping. (Germn Po-Caamao)
  + #414068: Added missing strings for translation (Germn Po-Caamao)
  + #435650: Fixed Run gtk-update-icon-cache in uninstall-hook (David Farning)
  + #401076: Added Tango icons for different sizes (Hylke Bons)
  + #311350: Fixed locale problem in whois (Los Minier)
  (bug numbers are against bugzilla.gnome.org).
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requires and BuildRequires
  [#247450]
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.0
- Make the .desktop file comply with the spec
- New translation: ku
- Updated translations: ja, ru, lt, mk, gu, uk, he, zh_HK, zh_TW,
  pl, gb, da, hu, pt, fi, ko, pt_BR, nl, fr, ca, de, fi, ar, en_GB,
  et, and lv.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.4.
- #352148: Improves the behavior on list (Paolo Borelli)
  - #357839: Fixed compilation in OpenBSD (Marc Brockschmidt).
  - #357840: Added support for OpenBSD (Marc Brockschmidt).
  - #128264: Changed the sematic from packets loss to packet succeed
    (Germ341n Po363-Caama361o).
  - #346528: Added bar-graph display for ping (Callum McKenzie).
  - Updated translations:
  - en_GB (David Lodge)
  - et (Ivar Smolin)
  - fi (Ilkka Tuohela)
  - nb (Kjartan Maraas)
  - sv (Daniel Nylander)
  - es (Francisco Javier F. Serrador)
  - th (Theppitak Karoonboonyanan)
  - ar (Djihed Afifi)
* Thu Mar  8 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Tue Dec 19 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Oct 12 2006 ro@suse.de
- added gnome-doc-utils-devel to buildreq
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.0
- translation updates
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- #348546, #348827: Fixed Bug-Buddy info in .desktop file
- #347310 : shows correct hardware address in 64 bit machines
- Fix memory leak in netstat
- Updated translations
- #337907: Use po/LINGUAS
- #344831: Fixed compilation on Mac OSX 10.3
- #341830: Micro cleanup
* Fri Aug 11 2006 jhargadon@suse.de
- update to version 2.15.0
- #129326: Added sound support for ping
- #154069: Fixed alert dialog when a applitation is missing
- #340209: Fixed lost packets miscalculated on machines off the
  network
- #307529: Fixed unclean exit of child processes
- #338278: Fixed window title according the HIG
- #316659: Fixed ping's compilation error on Solaris and HP/UX
- #338272: Fixed ping to a broadcast address in Linux
- #334687: Fixed InfoIpAddr leakage
- #338080: Theme friendly icon patch applied for gnome-nettool
- #336941: Fixed bad formed define for DNS lookups
- Updated translations
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct  4 2005 rodrigo@suse.de
- Update to version 1.4.1 (GNOME 2.12.1)
- Removed upstreamed patch.
* Mon Sep  5 2005 mmj@suse.de
- Update to version 1.4.0 (GNOME 2.12)
* Tue Aug 23 2005 rodrigo@suse.de
- Update to version 1.3.92
* Mon Aug  8 2005 rodrigo@suse.de
- Update to version 1.3.91
* Fri Jul 22 2005 gekker@suse.de
- Update to version 1.3.0
* Wed Mar  9 2005 gekker@suse.de
- Update to version 1.2.0 (GNOME 2.10).
* Sun Feb  6 2005 gekker@suse.de
- Update to 1.1.0
* Tue Feb  1 2005 meissner@suse.de
- Added one missing NULL.
* Mon Jan 24 2005 clahey@suse.de
- Initial import.
